package com.persagy.apm.energy.report.monthly.outline.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告概要入参")
public class PageQueryReportOutlineDTO extends PageDTO {
    @ApiModelProperty(value = "报告id", required = true)
    private String id;

    @ApiModelProperty(value = "报告名称", required = true)
    private String name;

    @ApiModelProperty(value = "报告日期", required = true)
    private Date date;

    @ApiModelProperty(value = "报告所属", required = true)
    private String belong;

    @ApiModelProperty(value = "报告类型", required = true)
    private String type;

    @ApiModelProperty(value = "报告详情id", required = true)
    private String detailId;

    @ApiModelProperty(value = "报告状态", required = true)
    private Integer status;

    @ApiModelProperty(value = "备注", required = true)
    private Object remark;

}
